curl --request PATCH \
--url https://api.stardex.ai/v1/deals/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency_code": "<string>",
"compensation": 1,
"compensation_currency_code": "<string>",
"pricing_rate": 50,
"win_probability": 50,
"deal_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"closed_date": "<string>",
"job_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"referred_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"client_contact_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"custom_fields": [
{
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"add_values": [
"<string>"
],
"remove_values": [
"<string>"
],
"add_team_member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"remove_team_member_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"clear_all": true
}
]
}
'import requests
url = "https://api.stardex.ai/v1/deals/{id}"
payload = {
"name": "<string>",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency_code": "<string>",
"compensation": 1,
"compensation_currency_code": "<string>",
"pricing_rate": 50,
"win_probability": 50,
"deal_status_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"closed_date": "<string>",
"job_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"referred_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"client_contact_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"custom_fields": [
{
"attribute_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"add_values": ["<string>"],
"remove_values": ["<string>"],
"add_team_member_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"remove_team_member_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"clear_all": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
client_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
currency_code: '<string>',
compensation: 1,
compensation_currency_code: '<string>',
pricing_rate: 50,
win_probability: 50,
deal_status_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>',
closed_date: '<string>',
job_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
referred_by: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
owner_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
client_contact_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
custom_fields: [
{
attribute_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
value: '<string>',
add_values: ['<string>'],
remove_values: ['<string>'],
add_team_member_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
remove_team_member_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
clear_all: true
}
]
})
};
fetch('https://api.stardex.ai/v1/deals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "Deal updated successfully"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Update deal
Update an existing deal. Only provided fields are modified; omitted fields remain unchanged.
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Path Parameters
Deal UUID
Body
Deal name.
1Client company UUID.
Deal amount.
ISO 4217 currency code (e.g. USD, EUR, GBP).
3Candidate's expected total annual compensation.
x >= 0ISO 4217 currency code for compensation.
3Recruitment fee percentage (0–100).
0 <= x <= 100Win probability (0–100).
0 <= x <= 100Deal status UUID.
Description.
ISO 8601 close date. Pass null to clear.
Job UUIDs to link to this deal. Replaces all existing deal_jobs links.
Person UUID of the referrer.
Team member UUIDs to assign as deal owners. Replaces all existing deal_owners links. Pass an empty array to remove all owners.
Client contact UUIDs to attach as deal contacts. Replaces all existing deal_client_contacts links. Pass an empty array to detach all contacts. Each contact must belong to this team.
Custom field values to update.
Show child attributes
Show child attributes
Was this page helpful?